
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Ruby&#039;s Enumerable Module and yield method / iVAN</title>

    <meta name="description" content="Ruby&#039;s Enumerable Module and yield method Hash, Array, Range, Set 类的对象为什么可以使用include?, min, max等方法, 原因是这些CLASS包含了Enumerable模块. 这个模块的详细介绍可以在Ruby Core API Reference中查询. 下面对某些方法举例说明 :  测试版本1.9.3-p0 一.内建类型的Enumerable方法调用 1. min a = Array.new(['z','abc','bc','d1','efg']) p(a.min) #=&gt;&quot;abc& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Ruby&#039;s Enumerable Module and yield method</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Hash, Array, Range, Set 类的对象为什么可以使用include?, min, max等方法, 原因是这些CLASS包含了Enumerable模块.</p>
<p>这个模块的详细介绍可以在Ruby Core API Reference中查询.</p>
<p>下面对某些方法举例说明 : </p>
<p>测试版本1.9.3-p0</p>
<p>一、内建类型的Enumerable方法调用</p>
<p>1. min
<pre><code>a = Array.new(['z','abc','bc','d1','efg'])
p(a.min)   #=&gt;"abc" , 默认情况下min 判断的是ascii码
p(a.min{
 |x|
 x.length
 })  #=&gt;"z" , 这里判断的是字符长度.</code></pre>
<p>2. max
<pre><code>a = {'z'=&gt;'digoal',
 'abc'=&gt;'francs',
 'bc'=&gt;'dage',
 'd1'=&gt;'hank',
 'efg'=&gt;'new'}
p(a) #=&gt;{"z"=&gt;"digoal", "abc"=&gt;"francs", "bc"=&gt;"dage", "d1"=&gt;"hank", "efg"=&gt;"new"}
p(a.max) #=&gt;["z", "digoal"]
p(a.max{
 |x|
 x.length
 }) #=&gt;["efg", "new"] , 这里判断的是hash key的字符长度.</code></pre>
<p>3. sort
<pre><code>a = {'z'=&gt;'digoal',
 'abc'=&gt;'francs',
 'bc'=&gt;'dage',
 'd1'=&gt;'hank',
 'efg'=&gt;'new'}
p(a) #=&gt; {"z"=&gt;"digoal", "abc"=&gt;"francs", "bc"=&gt;"dage", "d1"=&gt;"hank", "efg"=&gt;"new"}
p(a.sort) #=&gt; [["abc", "francs"], ["bc", "dage"], ["d1", "hank"], ["efg", "new"], ["z", "digoal"]] , 默认按ASCII排序
p(a.sort{
 |x,y|
 x[0].length &lt;=&gt; y[0].length
 }) #=&gt; [["z", "digoal"], ["d1", "hank"], ["bc", "dage"], ["abc", "francs"], ["efg", "new"]]  , 这里按照Hash key的长度排序
p(a.sort{
 |x,y|
 x[1].length &lt;=&gt; y[1].length
 }) #=&gt; [["efg", "new"], ["d1", "hank"], ["bc", "dage"], ["abc", "francs"], ["z", "digoal"]] , 这里按照Hash value的长度排序</code></pre>
<p>4. collect
<pre><code>a = [1,2,3,4,5,6]
b = a.collect {
 |x|
 x * x
}
p(a) #=&gt; [1, 2, 3, 4, 5, 6]
p(b) #=&gt; [1, 4, 9, 16, 25, 36] , collect方法重新构造一组数据.</code></pre>
<p>5. include?
<pre><code>a = [1,2,3,4,5,6]
p(a.include?(1)) #=&gt; true , 判断是否包含1
p(a.include?(7)) #=&gt; false , 判断是否包含7</code></pre>
<p>二、自定义CLASS中包含Enumerable模块举例 : 
<pre><code>class MyClass
 include Enumerable # 这个指包含Enumerable模块
 def initialize( someItems )
  @items = someItems
 end

 def each # 要在自定义类中使用Enumerable模块中的方法, 必须写一个each 方法, 告诉其他要调用的Enumerable方法每次传什么值进去.
  @items.each{
                       |i|
   yield(i)  # yield方法里面的参数, 就是表示其他要调用的Enumerable方法每次传什么值进去.这里每次传的就是i
  }
 end
end

a = MyClass.new(['c','bda1a','baz','ce','zwfg'])
p(a) #=&gt; #&lt;MyClass:0x1ef0db0 @items=["c", "bda1a", "baz", "ce", "zwfg"]&gt;
p(a.sort) #=&gt; ["baz", "bda1a", "c", "ce", "zwfg"]

class MyClass
 include Enumerable
 def initialize( someItems )
  @items = someItems
 end

 def each
  @items.each{
   |i|
   yield(i.to_s.length) #这里每次传的是i.to_s.length
  }
 end
end

a = MyClass.new(['c','bda1a','baz','ce','zwfg'])
p(a) # =&gt; #&lt;MyClass:0x1e90c90 @items=["c", "bda1a", "baz", "ce", "zwfg"]&gt;
p(a.sort) # =&gt; [1, 2, 3, 4, 5]</code></pre>
<p># 自定义类型中如果没有定义each方法, 但是调用了Enumerable中的方法会报错, 例如 : </p>
<p>`sort': undefined method `each' for #&lt;MyClass:0x1ebfb08 @items=["c", "bda1a", "baz", "ce", "zwfg"]&gt; (NoMethodError)</p>
<p>【参考】<br />
<br />Ruby Core API Reference : Enumerable</p>
<p>The Book of Ruby : Page 100 - 105</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:31:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Ruby&#039;s Enumerable Module and yield method的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Y046p.html" rel="bookmark">浅谈 Ruby 中的 block&comma; proc&comma; lambda&comma; method object 的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当大家在百度中搜索&quot;block proc lambda&quot;的时候,会出来很多关于这几个概念之间区别的介绍,既然搜索结果中已经有了这些介绍,那为什么还要写这篇文章? 相信看过百度搜索结果中排名靠前的几篇文章的同学,都会发现其实这些文章并没有很好的说明他们之间区别是什么,大多只是介绍各自的用法,加上些许的区别,即使个别介绍了一些区别,也不够系统,不够深入. 正是基于上述原因,才酝酿了本文.本文以简单示例的方式,详细的介绍了它们之间的区别.相信您阅读完本文,一定会豁然开朗,并在今后的开发中准确			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba47ywz.html" rel="bookmark">Ruby学习笔记-Module</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Module: 模块的定义和类比较相似,使用module关键字.但模块不能被实例化,也不能被子类化,模块是独立的,且一个模块对像是Module类的一个实例.模块最常用的两个用途是作为命空间和混入(mixin).       在模块中,可以定义实例变量.实例方法.类变量.类方法和属性等,并且在模块中还可能以定义类和模块.在类中也可以定义模块.       在访问模块中的实例成员,需要在类中饱含模块,然后实例化类以访问模块的实例成员.               module FirstModule			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGwdvlz.html" rel="bookmark">ruby学习笔记&lpar;5&rpar;-模块module的运用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ruby中的module与.net中的namespace有点类似,可以用来区分同名但属于不同开发者(或组织)的代码. 下面的代码,定义了一个Me模块,里面的sqrt与Math模块中的sqrt重名,另外还有一个重名常量PI #定义一个模块(有点类似.net中的命名空间) module Me def sqrt(num1,num2=-1) return &quot;num1=#{num1},num2=#{num2}&quot; end PI = 3.14; end puts Math::PI #在未includ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7agoz.html" rel="bookmark">Ruby Study 12 &colon; Symbols</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本章主要讲解Symbol 类. 讲解Symbol比较重要的是大家需要了解object_id的知识. Symbol和Fixnum很相似, 同样的symbol它们的object_id是一致的, 而字符串则不是这样的, 举个例子来回忆一下: v1 = :name p v1 p v1.object_id p :name.object_id v2 = &quot;name&quot; p v2 p v2.object_id p &quot;name&quot;.object_id v3 = 10 p v3 p v3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZoyLM.html" rel="bookmark">Ruby Study 6 &colon; Loops and Iterators</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面多次介绍到了Array, Hash, Set, Range, Matrix, Vector 等collection class的Iterator特性, 如each方法. 这次专门讲一讲Loops和Iterators. 1. for loops for循环和其他编程语言类似, 看个例子 :  下面的例子中包含了,String, Array, Hash, Set, Range, Vector, Matrix的Iterator 操作以及each方法和for语法的转换. require &quot;Matri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myvw3Ep.html" rel="bookmark">Ruby 枚举的使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过  each 获得枚举能力 想要枚举的 Class 就得有一个 each 方法,它的工作就是 yield 项目给代码块,每次一个. each 做的事在不同的类上可能不太一样,比如在数组上,each 会 yield 第一个项目,然后是第二个,第三个 ...  在 hash 里,yield 的是 key/value 作为两个元素的数组.在 file 处理上,每次会 yield 一行内容.range 迭代会先看一下有没有可能迭代,然后假装它是一个数组.在自己的类里定义了 each 方法,它的意思是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOW5P3z.html" rel="bookmark">Ruby Study 14 &colon; Modules - Digging Deeper</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先列举一个module中变量和常量的例子. module M1 $globalvar = 0 Constant = 1 local_var = 2 @insvar = 3 @@classvar = 4 def method1(sym) return eval(sym.id2name) end class Myclass1 end p Constant.object_id p local_var.object_id p @insvar.object_id p @@classvar.object_i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Zn0Pb.html" rel="bookmark">ruby技巧001&colon;求md5散列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    ruby核心库中未包含md5之类的功能,不过在其标准库digest中可以方便的使用该功能: = Digest (from ruby core) ------------------------------------------------------------------------------ This module provides a framework for message digest libraries. You may want to look at OpenSSL:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9x2ogb.html" rel="bookmark">Ruby Study 13 &colon; Modules and Mixins</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Ruby中class的superclass只能有一个, childclass可以有多个. 所以一个class如果要继承多个class的特性是不可能的. 如果有这种需求, 可以考虑把这些特性封装在Module中. Module可以很好的解决这类问题, 通过require或者load或者include可以把Module的instance method等带入到当前环境, 也就是可以使用Module中的方法等. 一个class可包含多个Module, 接下来详细的讲解. 1. A Module Is			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRdK3z.html" rel="bookmark" class="title">2013年开源十大预测：谁将开花结果？</a>
					<div>
						随着云计算和大数据时代的到来,越来越多的开源技术受到人们的重视,与纯粹的自由软件相比,开源技术给我们的启示可能更广和更深.开源技术可以作为技术创新的温床,引领着整个行业的技术发展趋势.  2012年, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5mv6p.html" rel="bookmark" class="title">如何配置一个安全稳定的SQL SERVER的数据库</a>
					<div>
						server|安全|数据|数据库 一.首先你要确认你的鉴别模式:WIN NT鉴别模式呢还是混合模式,其中混合模式包括WIN NT鉴别模式和SQL SERVER 鉴别模式实施鉴别模式的步骤1.核实采用了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL63vb.html" rel="bookmark" class="title">再学GDI&plus;&lbrack;87&rsqb;&colon; TGPImage&lpar;7&rpar;</a>
					<div>
						本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl4JJz.html" rel="bookmark" class="title">hillstone防火墙的设置笔记</a>
					<div>
						防火墙型号:HILLSTONE  SG-6000  M3100 山石防火墙默认登录账户和密码都是hillstone,e0/0号口地址为192.168.1.1,找个笔记本设置地址为192.168.1.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwmqxz.html" rel="bookmark" class="title">Windows Vista系统校园网上网全攻略</a>
					<div>
						Vista出了一段时间了,很多人都装上了vista,享受那绚丽界面带来的惬意.我也跟风在电脑装上了 Vista.但是令人郁闷的是,Vista却上不了校园网. 仔细分析,发现原因就是校园网的客户端找不到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6WBgz.html" rel="bookmark" class="title">Win7设置为系统启动开机减负提速</a>
					<div>
						微软Win7 系统有较高的性能和丰富的功能,但有些朋友使用一段时间后会感觉系统启动和运行没有以前快了.其实导致系统启动变慢的原因有很多,比如电脑中不断安装新的 软件会增加很多启动项目;对于一些硬件配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGvD1p.html" rel="bookmark" class="title">将Win8系统字体变大的方法</a>
					<div>
						大家会不会觉得自己的win8系统中的字体太小了呢?其实我们是可以自己调节它的大小的哦! 1.首先登陆Windows8 Metro界面,单击左下角桌面图标; 2.进入桌面后,在空白处点击鼠标右键,选择& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGEZrp.html" rel="bookmark" class="title">如何解决Win8&period;1正式版更新重启后仍提示等待重启问题</a>
					<div>
						  日常生活中很多Win8.1用户会遇到在更新历史记录中发现有很多更新都是等待重启,重启之后还是提示一样的等待重启,相信这个问题已经困扰永华很久了.下面小编为大家整理了一些小方法,仅供参考哦. 方法一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjV3Lb.html" rel="bookmark" class="title">安全狗怎么远程操作</a>
					<div>
						  1.&quot;服务器管理&quot;页面上,在需要进行安全狗软件远程操作的服务器条目上,点击安全狗软件远程操作按钮,如图所示: 2.安全狗软件远程操作提供包括ARP防火墙.DDoS防火墙.安全策 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLA4Eb.html" rel="bookmark" class="title">怎么让你的中文XP变成英文XP</a>
					<div>
						  不管是为了多接触英文环境,还是因为其它用途, 有时我们还真希望我们的系统是英文的系统,而不是中文的. 有人会问,重装一个英文的XP系统不就可以了.当然你说得没错,不过,系统之家永远会有妙招,让您做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrGx8M.html" rel="bookmark" class="title">用正则表达式搜索电子邮件</a>
					<div>
						&lt;!--蛙蛙推荐:用正则表达式搜索电子邮件提出问题:给定一个字符串,从中找出5个电子邮件,把其中的电子邮件用红色着重表示出来(或者是其它能着重显示的方式),并且把这5个邮件保存成一个用逗号分割开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk59Db.html" rel="bookmark" class="title">怎么把servlet传过来的List数据显示到gridpanel中？</a>
					<div>
						问题描述 DictInfoPanel = function(node, grid){ //获得右侧tab对象 Ext.Ajax.request({ waitMsg : '读取数据...', url : ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RRwrb.html" rel="bookmark" class="title">脚本-cadence si 工具将原理图转换成网表时出错，ERROR &lpar;OSSHNL-103&rpar;求解答！</a>
					<div>
						问题描述 cadence si 工具将原理图转换成网表时出错,ERROR (OSSHNL-103)求解答! 如题:在使用脚本进行原理图到网表的转换时报错 ERROR (OSSHNL-103): Una ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rXBgz.html" rel="bookmark" class="title">请问一个关于MVC&plus;EF开发流程的问题。</a>
					<div>
						问题描述 请教一下,大家MVC+EF开发.CodeFirst.ModelFirst的程序代码,是手写的还是用工具生成的?大家MVC+EF开发开发的具体流程是什么样的?Asp.net技术论坛: 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ARWoz.html" rel="bookmark" class="title">深度学习零基础进阶第三弹&ZeroWidthSpace;｜干货分享</a>
					<div>
						雷锋网(公众号:雷锋网)曾编译&lt;干货分享 | 深度学习零基础进阶大法!&gt;,相信读者一定对深度学习的历史有了一个基本了解,其基本的模型架构(CNN/RNN/LSTM)与深度学习如何应用在图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R6l6z.html" rel="bookmark" class="title">jspsmartupload 上传到服务器的问题</a>
					<div>
						问题描述 jspsmartupload 上传到服务器的问题 我用的jspsmartupload上传图片 提示上传成功 但是单独输入图片url 却找不到 上传代码如下:imgPath = su.getR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgY64b.html" rel="bookmark" class="title">AlphaGo与李世石首场比赛结束，AlphaGo获胜。针对这场人机围棋大战，你怎么看？</a>
					<div>
						对战双方 AlphaGo AlphaGo是谷歌旗下DeepMind公司开发的一款围棋人工智能程序,2015年10月阿尔法围棋以5:0完胜欧洲围棋冠军.职业二段选手樊麾.李世石 李世石1995年入段,2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1rmoz.html" rel="bookmark" class="title">《白话深度学习与TensorFlow》&mdash;&mdash;2&period;4　深度学习应用</a>
					<div>
						2.4 深度学习应用 我们在第1章所介绍过的谷歌无人驾驶汽车仅仅是深度学习的一个典型应用,深度学习的应用领域越来越多,而且是几乎在任何一个产业中都有其落地的身影.我们先来看几个有趣的应用.2.4.1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY53W6M.html" rel="bookmark" class="title">第十一章 Hibernate的查询 HQL面向对象的查询语言</a>
					<div>
						HQL基本上与sql语句在语法上相仿,只是HQL具有面向对象的特性而已.(本文部分内容是从网络中获取而来) 1. 大小写敏感性问题          除了Java类与属性的名称外,查询语句对大小写并不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK9Oqb.html" rel="bookmark" class="title">小白求教delphi 结构体指针问题</a>
					<div>
						问题描述 小白求教delphi 结构体指针问题 case PMarketType(FMarketTabSet.Tabs.Objects[0]).iType of 这是什么意思 PMarketType  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zxeob.html" rel="bookmark" class="title">家长绘&OpenCurlyDoubleQuote;地图&rdquo;举报黑网吧</a>
					<div>
						上初中的儿子沉迷于网络游戏经常彻夜不归.3年来,为寻找儿子,父亲摸熟了家附近所有的黑网吧.日前,这位父亲将亲手绘出的黑网吧&quot;分布图&quot;公布在网上,希望有关部门能够按图索骥查处这些黑网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1qaGb.html" rel="bookmark" class="title">asp&period;net更新问题</a>
					<div>
						问题描述 1.是不是asp.net本地每做一次更新,都要全站重新生成再传到网络空间呢?如果是这要是不是太麻烦了,有什么办法可以像PHP一样只要上传更新的文件就可以的吗?2.网站上下载的ASP.NET程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKX3Rz.html" rel="bookmark" class="title">Win10系统卸载Skype的方法图解</a>
					<div>
						方法如下一: 1.点击桌面左下角开始--设置--控制面板--添加删除程序,选择skype软件卸载即可,也可以选择开始--程序--Skype软件--卸载 2.点主屏幕下方工具条,右下角工具栏-应用中心- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWPrZz.html" rel="bookmark" class="title">浅谈socket同步和异步、阻塞和非阻塞、I&sol;O模型&lowbar;php技巧</a>
					<div>
						在进行网络编程时,常常见到同步(Sync)/异步(Async),阻塞(Block)/非阻塞(Unblock)四种调用方式 同步/异步主要针对C端: 同步:c端发出一个功能调用时,在没有得到结果之前,c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NvgDz.html" rel="bookmark" class="title">Illustrator绘制超酷立体字效果教程</a>
					<div>
						给各位Illustrator软件的使用者们来详细的解析分享一下绘制超酷立体字效果的教程. 教程分享: 方法一:AI的效果菜单里有3D效果,可以将文字或者路径转为3D模式.效果不错,只是复杂的就比较慢了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJRKqM.html" rel="bookmark" class="title">传JCG引领变革，智能路由器2014年将 &OpenCurlyDoubleQuote;免费&rdquo;？</a>
					<div>
						随着智能手机.平板电脑成为现代人的&quot;标配&quot;以来,无线路由器也成为消费者不可或缺的生活电子产品,而具备更多人性化功能的智能路由器无疑是网友首选.许多网友需要购买路由器的时候,通常在网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wqv5z.html" rel="bookmark" class="title">还在学习阶段-C语言动态链表写入文件</a>
					<div>
						问题描述 C语言动态链表写入文件 struct Txl { char name[20]; long long tel; struct Txl *next; }; int n; struct Txl c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeDG8p.html" rel="bookmark" class="title">黑客肆虐 P2P平台是网络金融安全攻击的重灾区</a>
					<div>
						近来,全球范围内银行黑客案件频发,使网络金融安全再次成焦点.据世界反黑客组织报告,全球黑客已经呈现集团化.产业链形态发展,网络金融安全不容乐观. 何谓网络金融? 所谓网络金融,其实就是&quot;互联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YraYb.html" rel="bookmark" class="title">编译错误</a>
					<div>
						问题描述 这个是我在编译vlc中的plugin_live555插件时报的错误,大家帮我看下:错误8errorLNK2019:无法解析的外部符号WSAGetLastError,该符号在函数&quot;p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgW3gAM.html" rel="bookmark" class="title">360式恐吓营销从PC蔓延至手机 Android成主战场</a>
					<div>
						近日,新闻和社交订阅软件ZAKER指责奇虎360利用恐吓营销推广360 新闻客户端引发业界高度关注. 6月21日,网上一篇广为散布的新闻&lt;多版本ZAKER遭木马篡改360手机卫士全面查杀&gt; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
